OpenTTD Source: src/newgrf/newgrf_act0_airports.cpp File Reference

OpenTTD Source 15.0-RC2

Functions
newgrf_act0_airports.cpp File Reference

NewGRF Action 0x00 handler for airports. More...

`#include "../stdafx.h"`
`#include "../debug.h"`
`#include "../newgrf_airporttiles.h"`
`#include "../newgrf_airport.h"`
`#include "newgrf_bytereader.h"`
`#include "newgrf_internal.h"`
`#include "newgrf_stringmapping.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
static ChangeInfoResult | AirportChangeInfo (uint first, uint last, int prop, ByteReader &buf)
| Define properties for airports.
static ChangeInfoResult | AirportTilesChangeInfo (uint first, uint last, int prop, ByteReader &buf)

## Detailed Description

NewGRF Action 0x00 handler for airports.

Definition in file newgrf_act0_airports.cpp.

## Function Documentation

## ◆ AirportChangeInfo()

static ChangeInfoResult AirportChangeInfo | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |
| static

Define properties for airports.

Parameters

  first | Local ID of the first airport.
  last | Local ID of the last airport.
  prop | The property to change.
  buf | The property value.

Returns
  ChangeInfoResult.

Definition at line 28 of file newgrf_act0_airports.cpp.

References OverrideManagerBase::Add(), AddStringForMapping(), CIR_INVALID_ID, CIR_SUCCESS, CIR_UNKNOWN, Clamp(), DIR_E, DIR_W, AirportSpec::enabled, GB(), OverrideManagerBase::GetID(), AirportSpec::GetWithoutOverride(), GrfProcessingState::grffile, INVALID_AIRPORTTILE, MAX_CATCHMENT, TimerGameConst< struct Calendar >::MAX_YEAR, NEW_AIRPORT_OFFSET, NUM_AIRPORTS_PER_GRF, ReadBadgeList(), ByteReader::ReadByte(), ByteReader::ReadDWord(), and ByteReader::ReadWord().

## ◆ AirportTilesChangeInfo()

static ChangeInfoResult AirportTilesChangeInfo | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |
| static

Definition at line 176 of file newgrf_act0_airports.cpp.